XSetTile(3X11)

NAME
XSetTile, XSetStipple, XSetTSOrigin - GC convenience routines

SYNTAX

int XSetTile(Display *display, GC gc, Pixmap tile);

int XSetStipple(Display *display, GC gc, Pixmap stipple);

int XSetTSOrigin(Display *display, GC gc, int ts_x_origin, int ts_y_origin);

ARGUMENTS

display
    Specifies the connection to the X server.

gc  Specifies the GC.

stipple
    Specifies the stipple you want to set for the specified GC.

tile
    Specifies the fill tile you want to set for the specified GC.

ts_x_origin

ts_y_origin
    Specify the x and y coordinates of the tile and stipple origin.

DESCRIPTION
The function sets the fill tile in the specified GC. The tile and GC must have the same depth, or a error results.

can generate and errors.

The function sets the stipple in the specified GC. The stipple must have a depth of one, or a error results.

can generate and errors.

The function sets the tile/stipple origin in the specified GC. When graphics requests call for tiling or stippling, the parent's origin will be interpreted relative to whatever destination drawable is specified in the graphics request.

can generate and errors.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a GContext argument does not name a defined GContext.

Some argument or pair of arguments has the correct type and range but fails
    to match in some other way required by the request.

A value for a Pixmap argument does not name a defined Pixmap.

SEE ALSO
XCreateGC(3X11), XQueryBestSize(3X11), XSetArcMode(3X11), XSetClipOrigin(3X11), XSetFillStyle(3X11), XSetFont(3X11), XSetLineAttributes(3X11), XSetState(3X11)
Xlib - C Language X Interface